1. Presence
Calven Developer Docs
  • Overview
  • Key Access Levels
  • Basic Authentication Overview
  • HMAC Authentication Overview
  • SDKs
  • Calven Data Models
  • Changelog
  • HMAC Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse Overview
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence
      GET
    • User Actions Log
      GET
  • Warehouse - HMAC Auth
    • Warehouse Overview
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings
  • Org Hierarchy
  • Schemas
    • Schemas
      • LeaveRequestBody
      • TimeoffRequestBody
      • TimeOffEvent
      • TimeoffResponse
      • TimeoffEventResponse
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • DMPostUserAttributesResponseDto
    • ApiServiceException
    • VisitorArrivalEventDto
    • ResultCodes
    • CreatePresenceEventDto
    • DWChangeLogUserResponseDto
    • DWUserBookingAttendanceResponseDto
    • DWPresenceResponseDto
    • DWUsersResponseDto
    • DWLocationsResponseDto
    • DWDesksResponseDto
    • DWGroupsResponseDto
    • DMGroupRelationshipDto
    • DMPostUserAttributesRecordResponseDto
    • AccessCredentialUpdate
    • PresenceEventDto
    • EventResultDto
    • CreatePresenceEventResponseDto
    • OccupancyEventDto
    • CreateOccupancyEventDto
    • CreateOccupancyEventResponseDto
    • AuthRequestDto
    • OAuthRequestDto
    • OAuthResponseDto
    • AccessCredentialUpdateResultCodes
    • AccessCredentialUpdateResult
    • AccessCredentialUpdateResponse
    • AccessCredential
    • AccessCredentialUpdateRequest
    • AuthResponseDto
    • CreateVisitorArrivalEventDto
    • CreateVisitorArrivalEventResponseDto
    • TimeOffRequestBodyDto
    • TimeOffResponseDto
    • PutDMGroupHierarchyRelationshipBodyDto
    • ParkingBookingReportPrincipalDto
    • ParkingBookingReportSpotDto
    • ParkingBookingReportZoneDto
    • ParkingBookingReportAreaDto
    • GetParkingBookingReportResponseDto
  1. Presence

Submit presence events

POST
/v1/presence/basic
Submit presence events to Calven.

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/jsonRequired

Example
{
    "sourceId": "string",
    "presenceEvents": [
        {
            "timestamp": "2021-09-01T12:00:00.000Z",
            "locationId": "string",
            "locationType": "level",
            "eventId": "string",
            "sourceUserId": "string",
            "userId": "string",
            "userEmail": "string"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/presence/basic' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
    "sourceId": "string",
    "presenceEvents": [
        {
            "timestamp": "2021-09-01T12:00:00.000Z",
            "locationId": "string",
            "locationType": "level",
            "eventId": "string",
            "sourceUserId": "string",
            "userId": "string",
            "userEmail": "string"
        }
    ]
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "sourceId": "string",
    "timestamp": "2021-09-01T12:00:00.000Z",
    "results": [
        {
            "eventId": "string",
            "resultCode": 0,
            "message": "string"
        }
    ]
}
🟠401Unauthorized
Modified at 2026-08-06 10:43:53
Previous
Presence Overview
Next
Submit presence events
Built with